Submit contact form
curl --request POST \
--url https://api.quiva.ai/accounts/submit-contact-form \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to_email": "support@example.com",
"subject": "Billing question",
"location": "Account settings",
"message": "I have a question about my billing cycle.",
"phone_number": "+1234567890",
"preferred_contact_method": "email"
}
'import requests
url = "https://api.quiva.ai/accounts/submit-contact-form"
payload = {
"to_email": "support@example.com",
"subject": "Billing question",
"location": "Account settings",
"message": "I have a question about my billing cycle.",
"phone_number": "+1234567890",
"preferred_contact_method": "email"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to_email: 'support@example.com',
subject: 'Billing question',
location: 'Account settings',
message: 'I have a question about my billing cycle.',
phone_number: '+1234567890',
preferred_contact_method: 'email'
})
};
fetch('https://api.quiva.ai/accounts/submit-contact-form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>"
}Account Management
Submit contact form
Submits a contact form
- The function provides a structured mechanism for authenticated users to send inquiries, feedback, or support requests directly to the quiva.ai team or specific team members. This communication channel is integrated within the platform, allowing users to reach out for assistance without leaving the application environment.
POST
/
accounts
/
submit-contact-form
Submit contact form
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Contact form submitted successfully
⌘I